Package com.google.android.exoplayer2.drm

## Interface DrmSessionManager.DrmSessionReference

- Enclosing interface:
    DrmSessionManager

      public static interface DrmSessionManager.DrmSessionReference

  Represents a single reference count of a `DrmSession`, while deliberately not giving access to the underlying session.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DrmSessionManager.DrmSessionReference` | `EMPTY` | A reference that is never populated with an underlying `DrmSession`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `release()` | Releases the underlying session at most once.

- - ### Field Detail

    - #### EMPTY

          static final DrmSessionManager.DrmSessionReference EMPTY

      A reference that is never populated with an underlying `DrmSession`.

  - ### Method Detail

    - #### release

          void release()

      Releases the underlying session at most once.

      Can be called from any thread. Calling this method more than once will only release the underlying session once.